body {
    background: #ccc;
    color: #333;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 12px;
    margin: 0 18px;
    padding: 18px;
    line-height: 1.3;
}

body a {
    color: #ffa;
}

body img {
    display: block;
}

section h1 {
    color: #ffa;
    line-height: .8;
    padding: 0 2vw;
}

section h2 {
    background-color: #666;
    padding: .7vh;
    color: #fff;
}

section article {
    padding: 0 2vw;
}

section ul {
    padding-right: 2vw;
}

.containerPrincipal {
    margin: 0;
    width: 100%;
    height: 100%;
    display: flex;
}

.topBarContainer {
    z-index: 1;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
}

.topBar {
    height: 28px;
    background-color: #666;
    display: flex;
    margin: 0 36px;
}

.topBarTitle {
    width: 80%;
    color: #fff;
    padding: 4px;
    text-align: center;
    align-content: center;
}

.more {
    width: 8%;
    display: flex;
    flex-wrap: wrap;
}

.icoMore {
    padding: 4px;
    height: 20px;
}

.flags {
    width: 10%;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
}

.flag {
    height: 14px;
    padding: 7px 4px;
}

.pagina {
    z-index: 0;
    background-color: #333;
    color: #ccc;
    margin: 0;
    padding: 18px;
    width: 100%;
}

.txtAmarelo {
    color: #ffa;
}

.skillsGrid {
    display: flex;
    flex-wrap: wrap;
}

.skillsGridItem {
    color: #fff;
    position: relative;
    width: 25%;
}

.skillsGridItemTitle {
    text-align: center;
    background-color: #666;
    border: 2px 1px 1px 1px solid #333;
}

.skillsGridItemDescription {
    background-color: #777;
    border: 1px solid #333;
    padding: 14px;
    height: 100%;
}

.portifolioListTitle {
    margin: 15px 2px 0;
    padding: 4px 10px;
    background-color: #666;
    color: #fff;
}

.portifolioListItem {
    display: flex;
    flex-direction: row;
    margin: 2px;
}

.portifolioListItemThumb {
    width: 250px;
}

.portifolioListItemThumb img {
    width: 250px;
    height: 150px;
}

.portifolioListItemDescription {
    padding: 2px 14px;
    background-color: #777;
    color: #fff;
    width: 100%;
}

.imageModalFrame {
    z-index: 2;
    height: 100vh;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    justify-content: center;
}

.contentView {
    max-width: 100%;
    max-height: 100%;
    position: relative;
    align-self: center;
    display: flex;
    flex-flow: column;
}

.contentView img,
video {
    position: relative;
    max-width: 90vw;
    max-height: 90vh;
    width: auto;
    height: auto;
}

.imageModalFrameClose {
    width: 100%;
    height: 27px;
    display: flex;
    justify-content: flex-end;
}

.btnClose {
    color: #fff;
    background-color: #800;
    padding: 3px;
    cursor: pointer;
}

@media screen and (min-width: 1380px) {
    .containerPrincipal,
    .topBar {
        width: 1280px;
    }
    body,
    .topBarContainer {
        display: flex;
        justify-content: center;
    }
}

@media screen and (max-width: 1035px) {
    .skillsGridItem {
        width: 33%;
    }
}

@media screen and (max-width: 790px) {
    body {
        font-size: 16px;
        margin: 0;
        padding: 0;
    }
    .topBar {
        margin: 0;
    }
    .portifolioListItem {
        flex-direction: column;
    }
    .topBar {
        font-size: 14px;
        height: 64px;
    }
    .topBarTitle {
        padding: 6px 10px;
    }
    .pagina {
        padding: 76px 18px;
    }
    .flag,
    .icoMore {
        padding: 0;
        height: 32px;
    }
    .skillsGridItem {
        width: 50%;
    }
    .portifolioListItem {
        width: 100%;
    }
    .portifolioListItemDescription {
        width: auto;
        padding: 10px;
    }
    .portifolioListItemThumb {
        width: 100%;
    }
    img {
        width: 100%;
    }

    .portifolioListItemThumb img {
        width: 100%;
        height: 100%;
    }
}